Subject: Re: 28.0.50; [feature/native-comp] provide a user feedback on Emacs being native compiled

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Sep 2020 17:30:42 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Arthur Miller <[email-masked]>, [email-masked]
> Date: Tue, 08 Sep 2020 08:03:06 +0000
> 
> As suggested opening a new issue to keep on discussing what came-up from
> 
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg00637.html
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> [...]
> 
> > That's a different issue.  The original question was about the splash
> > screen and specifically about emacs-version.  I see no reason
> > whatsoever to show information about the native compilation there, as
> > it's a minor feature that moreover has no effect at all until some
> > Lisp files are compiled with it.
> 
> For completeness: ATM all code that was byte compiled gets native
> compiled automatically.  For this reason it *has* an effect since Emacs
> starts.

As mentioned on the bug list, I'd prefer if user could defer native
compilation to some later time, so as to avoid making the Emacs build
take hours, especially on slow and low-end machines.

> If it's more or less important than say using Cairo that's very much a
> POV I think, as I believe is classifying it as "minor feature" (reason
> why I'd avoid).

Maybe Cairo is also not important enough, and should be removed.  GTK
(or the toolkit in general) _is_ important, as it has radical effect
on the GUI appearance.